scala.tools.nsc.ast.TreeDSL

# CODE

#### object CODE

Linear Supertypes
AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CODE
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class CaseStart extends AnyRef

2. #### trait DefCreator extends AnyRef

3. #### class DefSymStart extends SymVODDStart with DefCreator

4. #### class DefTreeStart extends TreeVODDStart with DefCreator

5. #### class IfStart extends AnyRef

6. #### case class SelectStart (tree: Global.Select) extends Product with Serializable

7. #### trait SymVODDStart extends VODDStart

8. #### class SymbolMethods extends AnyRef

9. #### class TreeMethods extends AnyRef

10. #### trait TreeVODDStart extends VODDStart

11. #### class TryStart extends AnyRef

12. #### trait VODDStart extends AnyRef

    VODD, if it's not obvious, means ValOrDefDef.

13. #### trait ValCreator extends AnyRef

14. #### class ValSymStart extends SymVODDStart with ValCreator

15. #### class ValTreeStart extends TreeVODDStart with ValCreator

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def AND(guards: Global.Tree*): Global.Tree

7. #### def BLOCK(xs: Global.Tree*): Global.Block

8. #### def CASE(pat: Global.Tree): CaseStart

9. #### def DEF(sym: Global.Symbol): DefSymStart

10. #### def DEF(name: Global.Name): DefTreeStart

11. #### def DEF(name: Global.Name, tp: Global.Type): DefTreeStart

12. #### def DEFAULT: CaseStart

13. #### val FALSE: Global.Literal

14. #### def FALSE_typed: Global.Literal

15. #### def ID(sym: Global.Symbol): Global.Tree

16. #### def IF(tree: Global.Tree): IfStart

17. #### def LAZYVAL(sym: Global.Symbol): ValSymStart

18. #### def LAZYVAL(name: Global.Name): ValTreeStart

19. #### def LAZYVAL(name: Global.Name, tp: Global.Type): ValTreeStart

20. #### object LIT extends (Any) ⇒ Global.Literal

21. #### def MATCHERROR(arg: Global.Tree): Global.Throw

    Top level accessible.

22. #### def NEW(sym: Global.Symbol, args: Global.Tree*): Global.Tree

23. #### def NEW(tpt: Global.Tree, args: Global.Tree*): Global.Tree

24. #### def NOT(tree: Global.Tree): Global.Select

25. #### def NULL: Global.Literal

26. #### def OR(guards: Global.Tree*): Global.Tree

27. #### def REF(pre: Global.Type, sym: Global.Symbol): Global.Tree

28. #### def REF(sym: Global.Symbol): Global.Tree

29. #### def SOME(xs: Global.Tree*): Global.Tree

30. #### def THIS(sym: Global.Symbol): Global.Tree

    Typed trees from symbols.

31. #### def THROW(sym: Global.Symbol, msg: Global.Tree): Global.Throw

32. #### val TRUE: Global.Literal

33. #### def TRUE_typed: Global.Literal

34. #### def TRY(tree: Global.Tree): TryStart

35. #### def UNIT: Global.Literal

36. #### def VAL(sym: Global.Symbol): ValSymStart

37. #### def VAL(name: Global.Name): ValTreeStart

38. #### def VAL(name: Global.Name, tp: Global.Type): ValTreeStart

39. #### def VAR(sym: Global.Symbol): ValSymStart

40. #### def VAR(name: Global.Name): ValTreeStart

41. #### def VAR(name: Global.Name, tp: Global.Type): ValTreeStart

42. #### object WILD

43. #### val ZERO: Global.Literal

44. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

45. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

47. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

48. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

49. #### def fn(lhs: Global.Tree, op: Global.Symbol, args: Global.Tree*): Global.Apply

50. #### def fn(lhs: Global.Tree, op: Global.Name, args: Global.Tree*): Global.Apply

51. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

52. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

53. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

54. #### def makeTupleTerm(trees: List[Global.Tree], flattenUnary: Boolean): Global.Tree

55. #### def makeTupleType(trees: List[Global.Tree], flattenUnary: Boolean): Global.Tree

56. #### implicit def mkSymbolMethodsFromSymbol(target: Global.Symbol): SymbolMethods

57. #### implicit def mkTreeFromSelectStart(ss: SelectStart): Global.Select

    (foo DOT bar) might be simply a Select, but more likely it is to be immediately followed by an Apply.

    (foo DOT bar) might be simply a Select, but more likely it is to be immediately followed by an Apply. We don't want to add an actual apply method to arbitrary trees, so SelectStart is created with an apply - and if apply is not the next thing called, the implicit from SelectStart -> Tree will provide the tree.

58. #### implicit def mkTreeMethods(target: Global.Tree): TreeMethods

    Implicits - some of these should probably disappear *

59. #### implicit def mkTreeMethodsFromSelectStart(ss: SelectStart): TreeMethods

60. #### implicit def mkTreeMethodsFromSymbol(target: Global.Symbol): TreeMethods

61. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

62. #### final def notify(): Unit

    Definition Classes
      AnyRef

63. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

64. #### def nullSafe[T](f: (Global.Tree) ⇒ Global.Tree, ifNull: Global.Tree): (Global.Tree) ⇒ Global.Tree

65. #### def returning[T](x: T)(f: (T) ⇒ Unit): T

66. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

67. #### def toString(): String

    Definition Classes
      AnyRef → Any

68. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped